//
//  FunctionView.h
//  FuncionesParametricas
//
//  Created by Santiago Pavón on 13/12/12.
//  Copyright (c) 2012 UPM. All rights reserved.
//

#import <UIKit/UIKit.h>

// Objects used as data source by FunctionView must adopt this protocol.
@protocol FuntionDataSource

- (int) initialTime;
- (int) finalTime;

- (CGPoint) valueAtTime:(int)time;
@end

// View used to draw a parametric function.
// The values of the function to draw are provided by the given data source.
@interface FunctionView : UIView

@property (weak) id<FuntionDataSource> dataSource;

@end
